package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import java.util.*;
import org.spagic.bpel.ode.smx.utils.*;

public class _jet_enrichwsdl implements JET2Template {

    public _jet_enrichwsdl() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        //
        //
        //    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.
        //
        //    This file is part of Spagic.
        //
        //    Spagic is free software; you can redistribute it and/or modify
        //    it under the terms of the GNU Lesser General Public License as published by
        //    the Free Software Foundation; either version 3 of the License, or
        //    any later version.
        //
        //    Spagic is distributed in the hope that it will be useful,
        //    but WITHOUT ANY WARRANTY; without even the implied warranty of
        //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        //    GNU Lesser General Public License for more details.
        //
        //    You should have received a copy of the GNU Lesser General Public License
        //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
        //    

	String absLocation = (String)context.getVariable("asbsoluteWSDLLocation");

        out.write(OdeSmxUtil.enrichWSDL(absLocation));
        out.write(NL);         
        out.write(NL);         
        out.write(NL);         
    }
}
