package org.spagic.bpmn.conversion;

public class Property {
	
	private String key;
	
	private String imAnnotationKey;
	
	private String[] imValues;
	
	private String imFixedValue;
	
	private String prefixKey;
	
	private String imParameterArray;
	
	private String checkInParameter;
	
	private String removeStartSubValue;
	
	public Property() {
		super();
		key = null;
		imAnnotationKey = null;
		imValues = null;
		imFixedValue = null;
		prefixKey = null;
		imParameterArray = null;
		checkInParameter = null;
		removeStartSubValue = null;
	}

	public Property(String key, String imAnnotationKey, String[] imValues,
			String imFixedValue, String prefixKey, String imParameterArray,
			String checkInParameter, String removeStartSubValue) {
		super();
		this.key = key;
		this.imAnnotationKey = imAnnotationKey;
		this.imValues = imValues;
		this.imFixedValue = imFixedValue;
		this.prefixKey = prefixKey;
		this.imParameterArray = imParameterArray;
		this.checkInParameter = checkInParameter;
		this.removeStartSubValue = removeStartSubValue;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getImAnnotationKey() {
		return imAnnotationKey;
	}

	public void setImAnnotationKey(String imAnnotationKey) {
		this.imAnnotationKey = imAnnotationKey;
	}

	public String[] getImValues() {
		return imValues;
	}

	public void setImValues(String[] imValues) {
		this.imValues = imValues;
	}

	public String getImFixedValue() {
		return imFixedValue;
	}

	public void setImFixedValue(String imFixedValue) {
		this.imFixedValue = imFixedValue;
	}

	public String getPrefixKey() {
		return prefixKey;
	}

	public void setPrefixKey(String prefixKey) {
		this.prefixKey = prefixKey;
	}

	public String getImParameterArray() {
		return imParameterArray;
	}

	public void setImParameterArray(String imParameterArray) {
		this.imParameterArray = imParameterArray;
	}

	public String getCheckInParameter() {
		return checkInParameter;
	}

	public void setCheckInParameter(String checkInParameter) {
		this.checkInParameter = checkInParameter;
	}

	public String getRemoveStartSubValue() {
		return removeStartSubValue;
	}

	public void setRemoveStartSubValue(String removeStartSubValue) {
		this.removeStartSubValue = removeStartSubValue;
	}
	
}
